<?php // KRIA TEMPLATE PER HAML, WORK IN PROGRESS
/**
 * The following variables are available in this template:
 * - $this: the BootCrudCode object
 */
?>
<?php
echo "<?php\n";
$nameColumn=$this->guessNameColumn($this->tableSchema->columns);
$label=$this->pluralize($this->class2name($this->modelClass));
echo "\$this->breadcrumbs=array(
	'$label'=>array('index'),
	\$model->{$nameColumn},
);\n";
?>

$this->menu=array(
	array('label'=>t('Create <?php echo $this->modelClass; ?>'),'url'=>array('create'),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('create')); ?>')),
	array('label'=>t('Update <?php echo $this->modelClass; ?>'),'url'=>array('update','id'=>$model-><?php echo $this->tableSchema->primaryKey; ?>),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('update')); ?>')),
	array('label'=>t('Delete <?php echo $this->modelClass; ?>'),'url'=>array('delete','id'=>$model-><?php echo $this->tableSchema->primaryKey; ?>),'confirm'=>'Are you sure you want to delete this item?','visible'=>user()->checkAccess('<?php echo($this->getAuthName('delete')); ?>')),
	array('label'=>t('Manage <?php echo $this->modelClass; ?>'),'url'=>array('admin'),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('manage')); ?>')),
);
?>

<h1>View <?php echo $this->modelClass." #<?php echo \$model->{$this->tableSchema->primaryKey}; ?>"; ?></h1>

<?php echo "<?php"; ?> $this->widget('bootstrap.widgets.TbDetailView',array(
	'data'=>$model,
	'attributes'=>array(
<?php
foreach($this->tableSchema->columns as $column)
	echo "\t\t'".$column->name."',\n";
?>
	),
)); ?>
